# Uses of Interface
org.jfree.chart3d.graphics3d.Drawable3D

Packages that use Drawable3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.export
Classes for exporting charts.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.graphics3d.swing
Components to display 3D graphics in Swing applications.

## Uses of Drawable3D in org.jfree.chart3d

Classes in org.jfree.chart3d that implement Drawable3D
Modifier and Type
Class
Description
`class`
`Chart3D`
A chart object for 3D charts (this is the umbrella object that manages all the components of the chart).

## Uses of Drawable3D in org.jfree.chart3d.export

Methods in org.jfree.chart3d.export with parameters of type Drawable3D
Modifier and Type
Method
Description
`static RenderingInfo`
ExportUtils.`writeAsJPEG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in JPEG format.
`static RenderingInfo`
ExportUtils.`writeAsPDF(Drawable3D drawable, int w, int h, File file)`
Writes a `Drawable3D` to the specified file in PDF format.
`static RenderingInfo`
ExportUtils.`writeAsPNG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in PNG format.
`static RenderingInfo`
ExportUtils.`writeAsSVG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in SVG format.

## Uses of Drawable3D in org.jfree.chart3d.graphics3d

Classes in org.jfree.chart3d.graphics3d that implement Drawable3D
Modifier and Type
Class
Description
`class`
`DefaultDrawable3D`
Provides a default implementation of the `Drawable3D` interface.

## Uses of Drawable3D in org.jfree.chart3d.graphics3d.swing

Methods in org.jfree.chart3d.graphics3d.swing that return Drawable3D
Modifier and Type
Method
Description
`Drawable3D`
Panel3D.`getDrawable()`
Returns the `Drawable3D` object that is displayed in this panel.
Constructors in org.jfree.chart3d.graphics3d.swing with parameters of type Drawable3D
Modifier
Constructor
Description
``
`Panel3D(Drawable3D drawable)`
Creates a new panel with the specified `Drawable3D` to display.